class Movie {
  String title;
  int year;
  String date;
  int counts;
  float duration;
  String type;
  Float angle;
  float r;
  float heg;
  float pos;
  float dx;
  float dy; 
  Movie(String title, int year, String date,int counts,float duration,String type) {
    this.title = title;
    this.year= year;
    this.date = date;
    this.counts = counts;
    this.duration = duration ;
    this.type = type;
    this.angle = dateParser(this.date);
    this.r = action_radius(this.counts);
    this.heg = (2000-this.year)*200 + 1600;
    this.pos = this.heg;
    this.dx = cos(radians(this.angle)) * this.r; 
    this.dy = sin(radians(this.angle)) * this.r;
  }
  //make the movies moves
  void update(){ 
      this.pos = this.pos + 0.5 * (1/this.duration);
  }
  //check the edges
  void edges(){ 
    if(this.pos < this.heg - 30 || this.pos > this.heg + 30){
      this.duration *= -1;
    }
  } 
  //show the movies
  void Display(){
      pushMatrix();
      if(this.angle < lowAngle || this.angle > hignAngle){
        fill(0);      
      }else if(this.angle >= lowAngle && this.angle <= hignAngle && this.type.equals("action/thrill/crime")){
        fill(#EE230D);      
      }else if(this.angle >= lowAngle && this.angle <= hignAngle && this.type.equals("biographical film/historical film/documentary")){
        fill(#FFFFFF);
      }else if(this.angle >= lowAngle && this.angle <= hignAngle && this.type.equals("comedy")){
        fill(#F8BB00);
      }else if(this.angle >= lowAngle && this.angle <= hignAngle && this.type.equals("drama")){
        fill(#FF6B00);
      } else if(this.angle >= lowAngle && this.angle <= hignAngle && this.type.equals("love")){
        fill(#EF5EA7);
      } else if(this.angle >= lowAngle && this.angle <= hignAngle && this.type.equals("fantasy/aventure")){
        fill(#256FFF);
      }
      noStroke();

      translate(this.dx,this.dy,this.pos);
      box(1,1, this.duration);
      popMatrix();

  }

  


}
  
  
