class Cell{
  String title;
  int year;
  String date;
  int counts;
  float duration;
  String type;
  float cellW;
  float dateLoc;
  float dx;
  float reloc;

  
   Cell(int year, String date,String type, int counts) {
    this.year= year;
    this.date = date;
    this.counts = counts;
    this.type = type;
    this.cellW = cellMap(this.counts);
    this.dateLoc = dateTrans(this.date);
    this.dx = this.dateLoc;
    this.reloc = this.dateLoc*(8*6);
  }
  
  void drawMatrix(){
    pushMatrix();
    if(this.type.equals("action/thrill/crime")){
        fill(#EE230D);
      }else if(this.type.equals("biographical film/historical film/documentary")){
        fill(#FFFFFF);
      }else if(this.type.equals("comedy")){
        fill(#F8BB00);
      }else if(this.type.equals("drama")){
        fill(#FF6B00);
      } else if(this.type.equals("love")){
        fill(#EF5EA7);
      } else if(this.type.equals("fantasy/aventure")){
        fill(#256FFF);
      }
    noStroke();  
    if(this.type.equals("action/thrill/crime")){
        rect(this.reloc, height-50, this.cellW, 10); 
      }else if(this.type.equals("biographical film/historical film/documentary")){
        rect(this.reloc+8, height-50, this.cellW, 10); 
      }else if(this.type.equals("comedy")){
        rect(this.reloc+16, height-50, this.cellW, 10); 
      }else if(this.type.equals("drama")){
        rect(this.reloc+24, height-50, this.cellW, 10); 
      } else if(this.type.equals("love")){
        rect(this.reloc+32, height-50, this.cellW, 10); 
      } else if(this.type.equals("fantasy/aventure")){
        rect(this.reloc+40, height-50, this.cellW, 10); 
      }
    textAlign(LEFT, TOP);
    fill(255);
    text(this.date, this.reloc, height-80); 
    popMatrix();
  }
  
  
  void update(){
    this.reloc = this.reloc -1; 
  }

}
