void drawMovies(){ 
  for(int i=0;i<12;i++) {
    pushMatrix();
    textAlign(CENTER);
    textFont(f,6);
    fill(255);
    text(2008+i,0,0,0-200*i);
    popMatrix();
  } 
//action
  if (showAction == true) {
    for (int i = 0; i< action.size(); i++) {     
      action.get(i).Display();
      action.get(i).update();
      action.get(i).edges();
      //action.get(i).vertexM();
      float xAct = action.get(i).dx;
      float yAct = action.get(i).dy;
      float zAct = action.get(i).pos;
      pushMatrix();
      translate(xAct, yAct, zAct);
      strokeWeight(0.2 * action.get(i).counts);
      stroke(#EE230D);
      //point(0, 0, 0);
      PVector mouse_pos = new PVector(mouseX, mouseY);
      PVector screen_pos = new PVector(screenX(0, 0, 0), screenY(0, 0, 0));
      float mouseObjectDist = mouse_pos.dist(screen_pos);
      popMatrix();

      if (mouseObjectDist < 5) {
        pushMatrix();
        translate(xAct, yAct, zAct);
        strokeWeight(2*action.get(i).counts); // enlarge selected point
        point(0, 0, 0);
        popMatrix();
        selectedWord = action.get(i);
      }
    }
    showHighlightedWord(selectedWord);
  }
  
//comedies
  if (showComedy == true) {
    for (int i = 0; i< comedy.size(); i++) {
      pushMatrix();
      comedy.get(i).Display();
      comedy.get(i).update();
      comedy.get(i).edges();
      float xVal = comedy.get(i).dx;
      float yVal = comedy.get(i).dy;
      float zVal = comedy.get(i).pos;     
      translate(xVal, yVal, zVal);
      strokeWeight(0.2 * comedy.get(i).counts);
      stroke(#F8BB00);
      //point(0, 0, 0);
      PVector mouse_pos = new PVector(mouseX, mouseY);
      PVector screen_pos = new PVector(screenX(0, 0, 0), screenY(0, 0, 0));
      float mouseObjectDist = mouse_pos.dist(screen_pos);
      popMatrix();

      if (mouseObjectDist < 5) {
        pushMatrix();
        translate(xVal, yVal, zVal);
        strokeWeight(0.5 * comedy.get(i).counts); // enlarge selected point
        point(0, 0, 0);
        popMatrix();
        selectedWord = comedy.get(i);
      }
    }
    showHighlightedWord(selectedWord);
  }
//  
    if (showHistorical == true) {
    for (int i = 0; i< historical.size(); i++) {
      pushMatrix();
      historical.get(i).Display();
      historical.get(i).update();
      historical.get(i).edges();
      float xVal = historical.get(i).dx;
      float yVal = historical.get(i).dy;
      float zVal = historical.get(i).pos;     
      translate(xVal, yVal, zVal);
      strokeWeight(0.2 * historical.get(i).counts);
      stroke(#FFFFFF);
      //point(0, 0, 0);
      PVector mouse_pos = new PVector(mouseX, mouseY);
      PVector screen_pos = new PVector(screenX(0, 0, 0), screenY(0, 0, 0));
      float mouseObjectDist = mouse_pos.dist(screen_pos);
      popMatrix();

      if (mouseObjectDist < 5) {
        pushMatrix();
        translate(xVal, yVal, zVal);
        strokeWeight(0.5 * historical.get(i).counts); // enlarge selected point
        point(0, 0, 0);
        popMatrix();
        selectedWord = historical.get(i);
      }
    }
    showHighlightedWord(selectedWord);
  }
  
  
  
    if (showRomance == true) {
    for (int i = 0; i< romance.size(); i++) {
      pushMatrix();
      romance.get(i).Display();
      romance.get(i).update();
      romance.get(i).edges();
      float xVal = romance.get(i).dx;
      float yVal = romance.get(i).dy;
      float zVal = romance.get(i).pos;     
      translate(xVal, yVal, zVal);
      strokeWeight(0.2 * romance.get(i).counts);
      stroke(#EF5EA7);
      //point(0, 0, 0);
      PVector mouse_pos = new PVector(mouseX, mouseY);
      PVector screen_pos = new PVector(screenX(0, 0, 0), screenY(0, 0, 0));
      float mouseObjectDist = mouse_pos.dist(screen_pos);
      popMatrix();

      if (mouseObjectDist < 5) {
        pushMatrix();
        translate(xVal, yVal, zVal);
        strokeWeight(0.5 * romance.get(i).counts); // enlarge selected point
        point(0, 0, 0);
        popMatrix();
        selectedWord = romance.get(i);
      }
    }
    showHighlightedWord(selectedWord);
  }
  
  
  
    if (showDrama == true) {
    for (int i = 0; i< drama.size(); i++) {
      pushMatrix();
      drama.get(i).Display();
      drama.get(i).update();
      drama.get(i).edges();
      float xVal = drama.get(i).dx;
      float yVal = drama.get(i).dy;
      float zVal = drama.get(i).pos;     
      translate(xVal, yVal, zVal);
      strokeWeight(0.2 * drama.get(i).counts);
      stroke(#FF6B00);
      //point(0, 0, 0);
      PVector mouse_pos = new PVector(mouseX, mouseY);
      PVector screen_pos = new PVector(screenX(0, 0, 0), screenY(0, 0, 0));
      float mouseObjectDist = mouse_pos.dist(screen_pos);
      popMatrix();

      if (mouseObjectDist < 5) {
        pushMatrix();
        translate(xVal, yVal, zVal);
        strokeWeight(0.5 * drama.get(i).counts); // enlarge selected point
        point(0, 0, 0);
        popMatrix();
        selectedWord = drama.get(i);
      }
    }
    showHighlightedWord(selectedWord);
  }
  
  
  
    if (showFantasy == true) {
    for (int i = 0; i< fantasy.size(); i++) {
      pushMatrix();
      fantasy.get(i).Display();
      fantasy.get(i).update();
      fantasy.get(i).edges();
      float xVal = fantasy.get(i).dx;
      float yVal = fantasy.get(i).dy;
      float zVal = fantasy.get(i).pos;     
      translate(xVal, yVal, zVal);
      strokeWeight(0.2 * fantasy.get(i).counts);
      stroke(#256FFF);
      //point(0, 0, 0);
      PVector mouse_pos = new PVector(mouseX, mouseY);
      PVector screen_pos = new PVector(screenX(0, 0, 0), screenY(0, 0, 0));
      float mouseObjectDist = mouse_pos.dist(screen_pos);
      popMatrix();

      if (mouseObjectDist < 5) {
        pushMatrix();
        translate(xVal, yVal, zVal);
        strokeWeight(0.5 * fantasy.get(i).counts); // enlarge selected point
        point(0, 0, 0);
        popMatrix();
        selectedWord = fantasy.get(i);
      }
    }
    showHighlightedWord(selectedWord);
  }



}
