void loadData() {
  table =loadTable("movieGenre.csv", "header");

  movies = new Movie[table.getRowCount()]; 
  for (int i=0; i< table.getRowCount(); i++) {
    TableRow row = table.getRow(i);
    String title = row.getString("title");
    int year = row.getInt("year");
    String date = row.getString("date");
    int counts = row.getInt("Counts");
    float duration = row.getFloat("days");
    String type = row.getString("type");
    if(row.getString("type").equals("action/thrill/crime")){
        action.add(new Movie(title, year, date, counts,duration,type));
      }else if(row.getString("type").equals("biographical film/historical film/documentary")){
        historical.add(new Movie(title, year, date, counts,duration,type));
      }else if(row.getString("type").equals("comedy")){
        comedy.add(new Movie(title, year, date, counts,duration,type));
      }else if(row.getString("type").equals("drama")){
        drama.add(new Movie(title, year, date, counts,duration,type));
      } else if(row.getString("type").equals("love")){
        romance.add(new Movie(title, year, date, counts,duration,type));
      } else if(row.getString("type").equals("fantasy/aventure")){
        fantasy.add(new Movie(title, year, date, counts,duration,type));
      }  
    
  }
}
  


//for the bottom
void matrixData(){
  matrix = loadTable("daygen.csv", "header");
  cells = new Cell[matrix.getRowCount()];
  for (int i=0; i< matrix.getRowCount(); i++) {
    TableRow rowM = matrix.getRow(i);
    int year = rowM.getInt("year");
    String date = rowM.getString("date");
    String type = rowM.getString("type");
    int counts = rowM.getInt("Counts");
    cells[i] = new Cell(year, date, type, counts);
    cell.add(new Cell(year, date, type, counts));    
  }
}
